# Hashable64
<span class="source-link">[[Source]](src/collections/hashable.md#L7)</span>

A version of Hashable that returns 64-bit hashes on every platform.


```pony
interface ref Hashable64
```

## Public Functions

### hash64
<span class="source-link">[[Source]](src/collections/hashable.md#L11)</span>


```pony
fun box hash64()
: U64 val
```

#### Returns

* [U64](builtin-U64) val

---

